% calculate the lower probability after 'nsteps' steps
% 'fnals' denotes the set of gambles representing the lower probabilities
% 'initL' is the initial lower probability
% 'transL' is the lower transition matrix 
function retL = iterations(fnals, initL, transL, nsteps)
retL = initL;
Lw = transL;
for st = 1:(nsteps-1)
    for i = 1:length(transL(:, 1))
        for j = 1:length(transL(1, :))
            X = Lw(:, j);
            [l, p] = lowerExpSet(transL(i,:)', fnals, X);
            Lnew(i, j) = l;
        end
    end
    Lw = Lnew;
end
%then multiply the result with initL
for j = 1:length(transL(1, :))
    X = Lw(:, j);
    [l, p] = lowerExpSet(initL', fnals, X);
    Ln(j) = l;
end
retL = Ln;